// file_studio_setup_xml.h: Schnittstelle für die Klasse CDFFileStudioXML.
//
//////////////////////////////////////////////////////////////////////
#pragma once
#ifndef FILE_STUDIO_SETUP_XML_H
#define FILE_STUDIO_SETUP_XML_H

// Itemklasse einbinden
#include "interface/dfitem/dfitems.h"
#include "tinyxml2/tinyxml2.h"
// Fehlercodes einbinden
#include "common/error_defines.h"
#include <map>

class CDFFileStudioXML : public FileAES
{
public:
    CDFFileStudioXML();
    virtual ~CDFFileStudioXML();

public:
    int Modify( const char *data, int *piError );

protected:
    void Reset();
    int Extract( const char *elementPathParam, tinyxml2::XMLElement *element, CModifyData &modifyData );

protected:
    tinyxml2::XMLDocument m_doc;
    std::string m_errorText;
    std::map<uint8_t, SetupType> m_setupType;
};

#endif
