#pragma once
#ifndef DFITEM_DEVICE_H
#define DFITEM_DEVICE_H

// Basisklasse einbinden
#include "dfitem_base.h"
#include <math.h>
#include "dfitem_access_control.h"
#include "dfitem_access_control_2.h"
#include "dfitem_handling.h"
#include "dfitem_mde.h"
#include "dfitem_table_list.h"
#include "dfitem_table_record.h"

class CDFItemDevice : public CDFItemBase  
{
public:
    CDFItemDevice( tinyxml2::XMLDocument *doc );
    virtual ~CDFItemDevice();
    
public:
    /// Veraendern der Daten von der geladenen Studiodatei. 
    int Modify( CModifyData &modifyData );

    inline unsigned int HexToUINT32( char *val, unsigned char digits = 255 ) 
    {
        unsigned int lVal = 0;
        unsigned char len = (digits > (unsigned char)strlen( val )) ? (unsigned char)strlen( val ) : digits;
        int i;
        for ( i = 1; i <= len; ++i )
        {
            if ( (val[len - i] >= '0') && (val[len - i] <= '9') )
                lVal += (unsigned int)((val[len - i] - '0') * (double)pow( (double)16, (double)i - 1 ));
            else if ( (val[len - i] >= 'a') && (val[len - i] <= 'f') )
                lVal += (unsigned int)((10 + val[len - i] - 'a') * (double)pow( (double)16, (double)i - 1 ));
            else if ( (val[len - i] >= 'A') && (val[len - i] <= 'F') )
                lVal += (unsigned int)((10 + val[len - i] - 'A') * (double)pow( (double)16, (double)i - 1 ));
            else
                return lVal;
        }

        return lVal;
    }
};

#endif
